Package org.opengis.cite.iso19142

# Enum Class ConformanceClass

java.lang.Object
java.lang.Enum<ConformanceClass>
org.opengis.cite.iso19142.ConformanceClass

All Implemented Interfaces:
  `Serializable`, `Comparable<ConformanceClass>`, `Constable`

public enum ConformanceClass extends Enum<ConformanceClass>
A WFS 2.0 conformance class. Four fundamental conformance levels are defined:

1. Simple WFS
2. Basic WFS
3. Transactional WFS
4. Locking WFS

Sources

- ISO 19142:2010, Geographic information -- Web Feature Service: Table 1
- ISO 19142:2010, Geographic information -- Web Feature Service: Table 13

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASIC_WFS`
  Basic WFS (A.1.2)
  `HTTP_GET`
  KVP requests (A.1.5)
  `HTTP_POST`
  XML requests (A.1.6)
  `LOCKING_WFS`
  Locking WFS (A.1.4)
  `SIMPLE_WFS`
  Simple WFS (A.1.1)
  `SOAP`
  SOAP requests (A.1.7)
  `SPATIAL_JOINS`
  Spatial joins (A.1.12)
  `TRANSACTIONAL_WFS`
  Transactional WFS (A.1.3)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConstraintName()`
  `static ConformanceClass`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConformanceClass[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE_WFS

    public static final ConformanceClass SIMPLE_WFS
    Simple WFS (A.1.1)

  - ### BASIC_WFS

    public static final ConformanceClass BASIC_WFS
    Basic WFS (A.1.2)

  - ### TRANSACTIONAL_WFS

    public static final ConformanceClass TRANSACTIONAL_WFS
    Transactional WFS (A.1.3)

  - ### LOCKING_WFS

    public static final ConformanceClass LOCKING_WFS
    Locking WFS (A.1.4)

  - ### HTTP_GET

    public static final ConformanceClass HTTP_GET
    KVP requests (A.1.5)

  - ### HTTP_POST

    public static final ConformanceClass HTTP_POST
    XML requests (A.1.6)

  - ### SOAP

    public static final ConformanceClass SOAP
    SOAP requests (A.1.7)

  - ### SPATIAL_JOINS

    public static final ConformanceClass SPATIAL_JOINS
    Spatial joins (A.1.12)

- ## Method Details

  - ### values

    public static ConformanceClass[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConformanceClass valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getConstraintName

    public String getConstraintName()